package cn.citycraft.GsonAgent.api;

import java.io.Reader;

import cn.citycraft.GsonAgent.api.exception.JsonIOException;
import cn.citycraft.GsonAgent.api.exception.JsonSyntaxException;
import cn.citycraft.GsonAgent.api.stream.JsonReader;
import cn.citycraft.GsonAgent.api.utils.HandleInterface;

@SuppressWarnings("rawtypes")
public abstract interface JsonParser extends HandleInterface {

    public JsonElement parse(JsonReader json) throws JsonIOException, JsonSyntaxException;

    public JsonElement parse(Reader json) throws JsonIOException, JsonSyntaxException;

    public JsonElement parse(String json) throws JsonSyntaxException;

}
