package cn.citycraft.GsonAgent.nms;

import cn.citycraft.GsonAgent.api.JsonNull;

/**
 *
 * @since 2016年1月5日 下午1:49:34
 * @author 喵♂呜
 */
public class JsonNullHandle extends JsonElementHandle implements JsonNull {

    private final net.minecraft.util.com.google.gson.JsonNull handle;

    public JsonNullHandle() {
        this(net.minecraft.util.com.google.gson.JsonNull.INSTANCE);
    }

    protected JsonNullHandle(final net.minecraft.util.com.google.gson.JsonNull handle) {
        this.handle = handle;
    }

    @Override
    public cn.citycraft.GsonAgent.api.JsonNull deepCopy() {
        return new JsonNullHandle();
    }

    @Override
    public boolean equals(final Object other) {
        return handle.equals(other);
    }

    @Override
    public int hashCode() {
        return handle.hashCode();
    }
}
